import{s as Te,n as Ee,o as ke}from"../chunks/scheduler.c57aa7ef.js";import{S as qe,i as xe,g as d,s as o,r as l,A as Se,h as u,f as a,c as n,j as g,u as s,x as Le,k as $,y as J,a as r,v as f,d as i,t as m,w as p}from"../chunks/index.c50cb18e.js";import{D as b}from"../chunks/Docstring.5819fc7d.js";import{H as M,E as De}from"../chunks/EditOnGithub.958a8a49.js";function Ie(be){let c,K,U,W,P,X,A,Me='The <code>AutoPeftModel</code> classes loads the appropriate PEFT model for the task type by automatically inferring it from the configuration file. They are designed to quickly and easily load a PEFT model in a single line of code without having to worry about which exact model class you need or manually loading a <a href="/docs/peft/v0.13.0/en/package_reference/config#peft.PeftConfig">PeftConfig</a>.',Y,F,Z,h,w,he,v,_,ve,R,Pe=`A wrapper around all the preprocessing steps a user needs to perform in order to load a PEFT model. The kwargs
are passed along to <code>PeftConfig</code> that automatically takes care of filtering the kwargs of the Hub methods and
the config object init.`,ee,y,te,C,L,ae,T,re,E,k,oe,q,ne,x,S,le,D,se,I,V,fe,H,ie,Q,O,me,j,pe,N,z,de,G,ue,B,ge;return P=new M({props:{title:"AutoPeftModels",local:"autopeftmodels",headingTag:"h1"}}),F=new M({props:{title:"AutoPeftModel",local:"peft.AutoPeftModel",headingTag:"h2"}}),w=new b({props:{name:"class peft.AutoPeftModel",anchor:"peft.AutoPeftModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/v0.13.0/src/peft/auto.py#L140"}}),_=new b({props:{name:"from_pretrained",anchor:"peft.AutoPeftModel.from_pretrained",parameters:[{name:"pretrained_model_name_or_path",val:""},{name:"adapter_name",val:": str = 'default'"},{name:"is_trainable",val:": bool = False"},{name:"config",val:": Optional[PeftConfig] = None"},{name:"revision",val:": Optional[str] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/v0.13.0/src/peft/auto.py#L58"}}),y=new M({props:{title:"AutoPeftModelForCausalLM",local:"peft.AutoPeftModelForCausalLM",headingTag:"h2"}}),L=new b({props:{name:"class peft.AutoPeftModelForCausalLM",anchor:"peft.AutoPeftModelForCausalLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/v0.13.0/src/peft/auto.py#L145"}}),T=new M({props:{title:"AutoPeftModelForSeq2SeqLM",local:"peft.AutoPeftModelForSeq2SeqLM",headingTag:"h2"}}),k=new b({props:{name:"class peft.AutoPeftModelForSeq2SeqLM",anchor:"peft.AutoPeftModelForSeq2SeqLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/v0.13.0/src/peft/auto.py#L150"}}),q=new M({props:{title:"AutoPeftModelForSequenceClassification",local:"peft.AutoPeftModelForSequenceClassification",headingTag:"h2"}}),S=new b({props:{name:"class peft.AutoPeftModelForSequenceClassification",anchor:"peft.AutoPeftModelForSequenceClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/v0.13.0/src/peft/auto.py#L155"}}),D=new M({props:{title:"AutoPeftModelForTokenClassification",local:"peft.AutoPeftModelForTokenClassification",headingTag:"h2"}}),V=new b({props:{name:"class peft.AutoPeftModelForTokenClassification",anchor:"peft.AutoPeftModelForTokenClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/v0.13.0/src/peft/auto.py#L160"}}),H=new M({props:{title:"AutoPeftModelForQuestionAnswering",local:"peft.AutoPeftModelForQuestionAnswering",headingTag:"h2"}}),O=new b({props:{name:"class peft.AutoPeftModelForQuestionAnswering",anchor:"peft.AutoPeftModelForQuestionAnswering",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/v0.13.0/src/peft/auto.py#L165"}}),j=new M({props:{title:"AutoPeftModelForFeatureExtraction",local:"peft.AutoPeftModelForFeatureExtraction",headingTag:"h2"}}),z=new b({props:{name:"class peft.AutoPeftModelForFeatureExtraction",anchor:"peft.AutoPeftModelForFeatureExtraction",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/v0.13.0/src/peft/auto.py#L170"}}),G=new De({props:{source:"https://github.com/huggingface/peft/blob/main/docs/source/package_reference/auto_class.md"}}),{c(){c=d("meta"),K=o(),U=d("p"),W=o(),l(P.$$.fragment),X=o(),A=d("p"),A.innerHTML=Me,Y=o(),l(F.$$.fragment),Z=o(),h=d("div"),l(w.$$.fragment),he=o(),v=d("div"),l(_.$$.fragment),ve=o(),R=d("p"),R.innerHTML=Pe,ee=o(),l(y.$$.fragment),te=o(),C=d("div"),l(L.$$.fragment),ae=o(),l(T.$$.fragment),re=o(),E=d("div"),l(k.$$.fragment),oe=o(),l(q.$$.fragment),ne=o(),x=d("div"),l(S.$$.fragment),le=o(),l(D.$$.fragment),se=o(),I=d("div"),l(V.$$.fragment),fe=o(),l(H.$$.fragment),ie=o(),Q=d("div"),l(O.$$.fragment),me=o(),l(j.$$.fragment),pe=o(),N=d("div"),l(z.$$.fragment),de=o(),l(G.$$.fragment),ue=o(),B=d("p"),this.h()},l(e){const t=Se("svelte-u9bgzb",document.head);c=u(t,"META",{name:!0,content:!0}),t.forEach(a),K=n(e),U=u(e,"P",{}),g(U).forEach(a),W=n(e),s(P.$$.fragment,e),X=n(e),A=u(e,"P",{"data-svelte-h":!0}),Le(A)!=="svelte-gfi2b7"&&(A.innerHTML=Me),Y=n(e),s(F.$$.fragment,e),Z=n(e),h=u(e,"DIV",{class:!0});var $e=g(h);s(w.$$.fragment,$e),he=n($e),v=u($e,"DIV",{class:!0});var ce=g(v);s(_.$$.fragment,ce),ve=n(ce),R=u(ce,"P",{"data-svelte-h":!0}),Le(R)!=="svelte-hrva5q"&&(R.innerHTML=Pe),ce.forEach(a),$e.forEach(a),ee=n(e),s(y.$$.fragment,e),te=n(e),C=u(e,"DIV",{class:!0});var Ae=g(C);s(L.$$.fragment,Ae),Ae.forEach(a),ae=n(e),s(T.$$.fragment,e),re=n(e),E=u(e,"DIV",{class:!0});var Fe=g(E);s(k.$$.fragment,Fe),Fe.forEach(a),oe=n(e),s(q.$$.fragment,e),ne=n(e),x=u(e,"DIV",{class:!0});var we=g(x);s(S.$$.fragment,we),we.forEach(a),le=n(e),s(D.$$.fragment,e),se=n(e),I=u(e,"DIV",{class:!0});var _e=g(I);s(V.$$.fragment,_e),_e.forEach(a),fe=n(e),s(H.$$.fragment,e),ie=n(e),Q=u(e,"DIV",{class:!0});var ye=g(Q);s(O.$$.fragment,ye),ye.forEach(a),me=n(e),s(j.$$.fragment,e),pe=n(e),N=u(e,"DIV",{class:!0});var Ce=g(N);s(z.$$.fragment,Ce),Ce.forEach(a),de=n(e),s(G.$$.fragment,e),ue=n(e),B=u(e,"P",{}),g(B).forEach(a),this.h()},h(){$(c,"name","hf:doc:metadata"),$(c,"content",Ve),$(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,t){J(document.head,c),r(e,K,t),r(e,U,t),r(e,W,t),f(P,e,t),r(e,X,t),r(e,A,t),r(e,Y,t),f(F,e,t),r(e,Z,t),r(e,h,t),f(w,h,null),J(h,he),J(h,v),f(_,v,null),J(v,ve),J(v,R),r(e,ee,t),f(y,e,t),r(e,te,t),r(e,C,t),f(L,C,null),r(e,ae,t),f(T,e,t),r(e,re,t),r(e,E,t),f(k,E,null),r(e,oe,t),f(q,e,t),r(e,ne,t),r(e,x,t),f(S,x,null),r(e,le,t),f(D,e,t),r(e,se,t),r(e,I,t),f(V,I,null),r(e,fe,t),f(H,e,t),r(e,ie,t),r(e,Q,t),f(O,Q,null),r(e,me,t),f(j,e,t),r(e,pe,t),r(e,N,t),f(z,N,null),r(e,de,t),f(G,e,t),r(e,ue,t),r(e,B,t),ge=!0},p:Ee,i(e){ge||(i(P.$$.fragment,e),i(F.$$.fragment,e),i(w.$$.fragment,e),i(_.$$.fragment,e),i(y.$$.fragment,e),i(L.$$.fragment,e),i(T.$$.fragment,e),i(k.$$.fragment,e),i(q.$$.fragment,e),i(S.$$.fragment,e),i(D.$$.fragment,e),i(V.$$.fragment,e),i(H.$$.fragment,e),i(O.$$.fragment,e),i(j.$$.fragment,e),i(z.$$.fragment,e),i(G.$$.fragment,e),ge=!0)},o(e){m(P.$$.fragment,e),m(F.$$.fragment,e),m(w.$$.fragment,e),m(_.$$.fragment,e),m(y.$$.fragment,e),m(L.$$.fragment,e),m(T.$$.fragment,e),m(k.$$.fragment,e),m(q.$$.fragment,e),m(S.$$.fragment,e),m(D.$$.fragment,e),m(V.$$.fragment,e),m(H.$$.fragment,e),m(O.$$.fragment,e),m(j.$$.fragment,e),m(z.$$.fragment,e),m(G.$$.fragment,e),ge=!1},d(e){e&&(a(K),a(U),a(W),a(X),a(A),a(Y),a(Z),a(h),a(ee),a(te),a(C),a(ae),a(re),a(E),a(oe),a(ne),a(x),a(le),a(se),a(I),a(fe),a(ie),a(Q),a(me),a(pe),a(N),a(de),a(ue),a(B)),a(c),p(P,e),p(F,e),p(w),p(_),p(y,e),p(L),p(T,e),p(k),p(q,e),p(S),p(D,e),p(V),p(H,e),p(O),p(j,e),p(z),p(G,e)}}}const Ve='{"title":"AutoPeftModels","local":"autopeftmodels","sections":[{"title":"AutoPeftModel","local":"peft.AutoPeftModel","sections":[],"depth":2},{"title":"AutoPeftModelForCausalLM","local":"peft.AutoPeftModelForCausalLM","sections":[],"depth":2},{"title":"AutoPeftModelForSeq2SeqLM","local":"peft.AutoPeftModelForSeq2SeqLM","sections":[],"depth":2},{"title":"AutoPeftModelForSequenceClassification","local":"peft.AutoPeftModelForSequenceClassification","sections":[],"depth":2},{"title":"AutoPeftModelForTokenClassification","local":"peft.AutoPeftModelForTokenClassification","sections":[],"depth":2},{"title":"AutoPeftModelForQuestionAnswering","local":"peft.AutoPeftModelForQuestionAnswering","sections":[],"depth":2},{"title":"AutoPeftModelForFeatureExtraction","local":"peft.AutoPeftModelForFeatureExtraction","sections":[],"depth":2}],"depth":1}';function He(be){return ke(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ze extends qe{constructor(c){super(),xe(this,c,He,Ie,Te,{})}}export{ze as component};
